QnD - Quest and Dialog System

Hi there. It was Time for an update to my QnD System. If You didn’t know about; QnD is a Node based Quest and Dialog System for the Blender Game Engine or UpBGE.

QnD

On multiple request, I have created a Tutorial Video on how to insert the System into a Project, and how to handle it. My English is anything but good, I hope you understand it anyway. :sweat_smile:

In the Demo, i tried to create an Example for every Aspect of QnD. It includes now also Examples for Sound and Animation in Dialogs.

Have Fun with it.
Doc

QnD_AddOn_1.1.zip (8.4 KB)
QnD_Demo_1.1.zip (422.8 KB)
QnD Dokumentation (D).pdf (460.1 KB) *german

Tutorial on Vimeo

If You only try out the Demo, maybe you wonder about the red Node Tree. That happens if the QnD AddOn is not loaded. That’s no Problem. The Game Part does not need the AddOn to work, and can be played without it installed. This is only necessary to build or modify QnD Trees and make them playable.

4 Likes

nice work,
but sens when blender uses nodes on game engine ?

Its new to me Blender does this already. Until it does … yes, it make sense to me. QnD exist since 3 Years now. I just want to share my Work with the Community, and don’t throw it in the Trash because something change in the Future. Until 2.79 the Blender GE and UpBGE works and is usable. And as far as i know, even the new GE does not have such a System. Maybe it will, if i show such a Possibility.

1 Like

yeah itll be really cool if they did

Thank you very much for sharing this amazing and very simple dialog, quest and inventory system! Great work.

2 Likes

I wonder if one could get this working with tacotron 2 /drive mouth shape keys

Thank You. :grinning: I’m glad You find it useful.

QnD works with Messages. That Way it’s very fexible to work with other Parts of a Game. It receives, and also sends what to do next. If You have something like tacotron working in the GE, i’m pretty sure QnD can handle it.

1 Like

the documentation needs to be in English.

you could of used google translate.https://translate.google.com/?tr=f&hl=en

I having another problem when I use google translate on the documentation these blue rectangular boxes block what is on the last part.

Hi.
Translating the Documentation is on my Plan. The Demo File is now fully translated and documented, and the Tutorial Video is in english, too. This will help for the first Steps.
You can copy and paste Text Passages to the regular Translator, instead the whole PDF. So i think this is not really a Problem.

Regard, Doc

i will try the demo to see how it works.

when I go back too far in the qnd demo blender will just quit on me.i am using the upbge.

What does this mean exactly? I can play the Demo in UpBGE without any Problems. Is there an Error Message in the Console?

the upbge with blender just quits when I press esc.so I cannot see the errors.

Hmm … i’ve played the Demo in UpBGE 0.2.3 multiple times without a Problem. I can’t confirm. Please run Blender with open Console in a Window side by side. So you can see Error Message.

Have You modified the Demo?

no I have not.

here is what is in the console.it is a lot of errors.i don’t think any of them is to do with your demo.

Read prefs: C:\Users\barbara\AppData\Roaming\Blender Foundation\Blender\2.79\config\userpref.blend
found bundled python: C:\Users\barbara\Desktop\UPBGE-Windows-64bits-master-lastest-2018-07-12\UPBGE-master-lastest-2018-07-12\2.79\python
Traceback (most recent call last):
  File "C:\Users\barbara\Desktop\UPBGE-Windows-64bits-master-lastest-2018-07-12\UPBGE-master-lastest-2018-07-12\2.79\scripts\modules\addon_utils.py", line 338, in enable
    mod = __import__(module_name)
ModuleNotFoundError: No module named 'import_runtime_mhx2'
Traceback (most recent call last):
  File "C:\Users\barbara\Desktop\UPBGE-Windows-64bits-master-lastest-2018-07-12\UPBGE-master-lastest-2018-07-12\2.79\scripts\modules\addon_utils.py", line 338, in enable
    mod = __import__(module_name)
  File "C:\Users\barbara\Desktop\UPBGE-Windows-64bits-master-lastest-2018-07-12\UPBGE-master-lastest-2018-07-12\2.79\scripts\addons\rigify\__init__.py", line 42, in <module>
    from . import utils, rig_lists, generate, ui, metarig_menu
  File "C:\Users\barbara\Desktop\UPBGE-Windows-64bits-master-lastest-2018-07-12\UPBGE-master-lastest-2018-07-12\2.79\scripts\addons\rigify\rig_lists.py", line 76, in <module>
    rig_list = get_rig_list("")
  File "C:\Users\barbara\Desktop\UPBGE-Windows-64bits-master-lastest-2018-07-12\UPBGE-master-lastest-2018-07-12\2.79\scripts\addons\rigify\rig_lists.py", line 53, in get_rig_list
    ls = get_rig_list(os.path.join(path, f, ""))  # "" adds a final slash
  File "C:\Users\barbara\Desktop\UPBGE-Windows-64bits-master-lastest-2018-07-12\UPBGE-master-lastest-2018-07-12\2.79\scripts\addons\rigify\rig_lists.py", line 59, in get_rig_list
    rig = utils.get_rig_type(module_name)
  File "C:\Users\barbara\Desktop\UPBGE-Windows-64bits-master-lastest-2018-07-12\UPBGE-master-lastest-2018-07-12\2.79\scripts\addons\rigify\utils.py", line 702, in get_rig_type
    submod = importlib.import_module(name, package=MODULE_NAME)
  File "C:\Users\barbara\Desktop\UPBGE-Windows-64bits-master-lastest-2018-07-12\UPBGE-master-lastest-2018-07-12\2.79\python\lib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "C:\Users\barbara\Desktop\UPBGE-Windows-64bits-master-lastest-2018-07-12\UPBGE-master-lastest-2018-07-12\2.79\scripts\addons\rigify\rigs\experimental\super_chain.py", line 4, in <module>
    from ...utils import copy_bone, flip_bone, put_bone, org, align_bone_y_axis, align_bone_x_axis, align_bone_z_axis
ImportError: cannot import name 'align_bone_y_axis'
version 3 imported
archipack: ready
Read blend: C:\Users\barbara\Desktop\New folder (2)\QnD_Demo_1.1\QnD_Demo_1.1.blend

Yes, this has nothing to do with QnD. … And this doesn’t look like the official Release. This is a GitHub Release, right? These Builds are for testing and can run unstable. Please use the official Version 0.2.3 from the UpBGE Page or the official Blender BGE 2.79b. QnD ist testet with this and should run fine.

that worked.but that is a lot of nodes in the demo.i would not know where to begin to modify that.i have to take it slow.